# renderSequence.py
#
# Take a single pose sequence and render the images


import poser
import sys
sys.path = sys.path + ['c:\\greg\\Poser\\py']

startDir=49;

from runPoseSeq import *

# doStereo = true means we do both R and L image
poseSeqOpt['doStereo']=True
# drop=True means feet touch floor
poseSeqOpt['drop']=True;
# probability of changing clothes
poseSeqOpt['probClothesChange']=0;
# constraints on yaw of the body
poseSeqOpt['orient']=[-1];
# varyZ and varyY: translation constraints
poseSeqOpt['varyZ']=[0, 0]
poseSeqOpt['varyX']=[0, 0]
# nuisance=True means vary nuisance params. randomly
poseSeqOpt['nuisance']=False;
# specs of angle I/O
# how many images for each pose
poseSeqOpt['times']=1;


metafile=open("c:\\greg\\pose\\bvh\\testbvh.txt","r");
bvhnames=metafile.readlines()
metafile.close()

for b in range(0,len(bvhnames)):

    # find out the name of the sequence
    lns=bvhnames[b].strip().split();
    pth = (lns[0].split('.'))[0].split('\\');
    name = pth[len(pth)-1];
    
    poseSeqOpt['start']=1;
    poseSeqOpt['outDir']="c:\\greg\\pose\\bvh\\poses\\"+name+"\\"
    poseSeqOpt['saveXYZ']=name+"XYZ.txt"
    poseSeqOpt['saveAngles']=name+"Angles.txt"
    poseSeqOpt['paramfile']="C:\\greg\\Poser\\paramList.txt"
    angles="c:\\greg\\pose\\bvh\\poses\\"+name+"\\bvhAngles.txt"
    
    runPoseSeq(angles,'ex%08d');
    
    


