# setting camera(s) to the desired position

import poser
scene=poser.Scene()

cam=scene.Actor("Dolly Camera")
# units: the values must be in Poser units. One Poser unit = 96 inches.
# settings used for new database: 0/2.1/5.5, 0/0/-10, focal 40
# settings used for ELMO/CRP papers: 0/2.3/2, 0/0/-45 focal 20
cam.SetParameter("DollyX",0/(96*.0254))
cam.SetParameter("DollyY",2.3/(96*.0254))
cam.SetParameter("DollyZ",1.2/(96*.0254))
cam.SetParameter("Roll",0)
cam.SetParameter("Yaw",0)
cam.SetParameter("Pitch",-45)

scene.SetCurrentCamera(cam)
scene.DrawAll()
